=== debian/control ===
Source: openvswitch-lts-saucy
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
Uploaders: Ben Pfaff <pfaffben@debian.org>, Simon Horman <horms@debian.org>
Build-Depends:
 debhelper (>= 8), autoconf (>= 2.64), automake (>= 1.10) | automake1.10, 
 libssl-dev, pkg-config (>= 0.21), bzip2, openssl,
 python-all (>= 2.6.6-3~), procps, python-qt4,
 python-zopeinterface, python-twisted-conch, hardening-wrapper, libtool
Standards-Version: 3.9.4
Homepage: http://openvswitch.org/
XS-Testsuite: autopkgtest

Package: openvswitch-datapath-lts-saucy-source
Architecture: all
Depends: module-assistant, bzip2, debhelper (>= 5.0.37), ${misc:Depends}
Suggests: openvswitch-switch
Provides: openvswitch-datapath-source
Conflicts: openvswitch-datapath-source
Description: Open vSwitch datapath module source - module-assistant version
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package provides the Open vSwitch datapath module source code
 that is needed by openvswitch-switch.  The kernel module can be built
 from it using module-assistant or make-kpkg.  README.Debian in this
 package provides further instructions.
 .
 This package provides support for the lts-saucy hardware enablement kernel
 in Ubuntu 12.04.

Package: openvswitch-datapath-lts-saucy-dkms
Architecture: all
Depends: dkms (>= 1.95), make, libc6-dev, ${misc:Depends}, ${python:Depends}
Provides: openvswitch-datapath-dkms
Conflicts: openvswitch-datapath-dkms
Description: Open vSwitch datapath module source - DKMS version
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package provides the Open vSwitch datapath module source code
 that is needed by openvswitch-switch.  DKMS can built the kernel
 module from it.
 .
 This package provides support for the lts-saucy hardware enablement kernel
 in Ubuntu 12.04.
